summaryrefslogtreecommitdiffstats
path: root/source/ap/lm_sensors
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2016-06-30 20:26:57 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 23:31:18 +0200
commitd31c50870d0bee042ce660e445c9294a59a3a65b (patch)
tree6bfc0de3c95267b401b620c2c67859557dc60f97 /source/ap/lm_sensors
parent76fc4757ac91ac7947a01fb7b53dddf9a78a01d1 (diff)
downloadcurrent-d31c50870d0bee042ce660e445c9294a59a3a65b.tar.gz
current-d31c50870d0bee042ce660e445c9294a59a3a65b.tar.xz
Slackware 14.2slackware-14.2
Thu Jun 30 20:26:57 UTC 2016 Slackware 14.2 x86_64 stable is released! The long development cycle (the Linux community has lately been living in "interesting times", as they say) is finally behind us, and we're proud to announce the release of Slackware 14.2. The new release brings many updates and modern tools, has switched from udev to eudev (no systemd), and adds well over a hundred new packages to the system. Thanks to the team, the upstream developers, the dedicated Slackware community, and everyone else who pitched in to help make this release a reality. The ISOs are off to be replicated, a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. Please consider supporting the Slackware project by picking up a copy from store.slackware.com. We're taking pre-orders now, and offer a discount if you sign up for a subscription. Have fun! :-)
Diffstat (limited to 'source/ap/lm_sensors')
-rwxr-xr-xsource/ap/lm_sensors/lm_sensors.SlackBuild11
-rw-r--r--source/ap/lm_sensors/lm_sensors.makefile.diff15
-rw-r--r--source/ap/lm_sensors/slack-desc6
3 files changed, 7 insertions, 25 deletions
diff --git a/source/ap/lm_sensors/lm_sensors.SlackBuild b/source/ap/lm_sensors/lm_sensors.SlackBuild
index b3a41b69a..e4971880a 100755
--- a/source/ap/lm_sensors/lm_sensors.SlackBuild
+++ b/source/ap/lm_sensors/lm_sensors.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2006, 2008, 2009, 2010, 2012, 2013 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2006, 2008, 2009, 2010, 2012, 2013, 2015 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -28,7 +28,7 @@ BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) export ARCH=$( uname -m ) ;;
@@ -62,11 +62,8 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-# Configure:
-zcat $CWD/lm_sensors.makefile.diff.gz | patch -p1 --verbose || exit 1
-
-make user LIBDIR=/usr/lib${LIBDIRSUFFIX} || exit 1
-make user_install LIBDIR=/usr/lib${LIBDIRSUFFIX} || exit 1
+make user PREFIX=/usr LIBDIR=/usr/lib${LIBDIRSUFFIX} || exit 1
+make user_install PREFIX=/usr LIBDIR=/usr/lib${LIBDIRSUFFIX} DESTDIR=$PKG || exit 1
# Nope.
rm -f $PKG/usr/lib${LIBDIRSUFFIX}/*.a
diff --git a/source/ap/lm_sensors/lm_sensors.makefile.diff b/source/ap/lm_sensors/lm_sensors.makefile.diff
deleted file mode 100644
index 8216a8d1e..000000000
--- a/source/ap/lm_sensors/lm_sensors.makefile.diff
+++ /dev/null
@@ -1,15 +0,0 @@
---- ./Makefile.orig 2008-03-26 08:37:12.000000000 -0500
-+++ ./Makefile 2008-10-25 20:05:44.000000000 -0500
-@@ -39,10 +39,10 @@
-
- # If you want to install at some other place then at from which you will run
- # everything, set DESTDIR to the extra prefix.
--DESTDIR :=
-+DESTDIR := /tmp/package-lm_sensors
-
- # This is the prefix that will be used for almost all directories below.
--PREFIX := /usr/local
-+PREFIX := /usr
-
- # Your C compiler
- CC := gcc
diff --git a/source/ap/lm_sensors/slack-desc b/source/ap/lm_sensors/slack-desc
index 2f32f80d7..be2b58e72 100644
--- a/source/ap/lm_sensors/slack-desc
+++ b/source/ap/lm_sensors/slack-desc
@@ -14,6 +14,6 @@ lm_sensors: are text-based tools for sensor reporting, and a library for sensors
lm_sensors: access called libsensors. It also contains tools for sensor hardware
lm_sensors: identification and I2C bus probing.
lm_sensors:
-lm_sensors: IMPORTANT NOTE: If you have a Thinkpad, please read the warnings in
-lm_sensors: the README.thinkpad file. lm_sensors has been known to cause damage
-lm_sensors: to some Thinkpads.
+lm_sensors:
+lm_sensors:
+lm_sensors: